ChartDirector Ver 5.0 (PHP Edition)

FinanceChart.setToolTipDateFormat

Usage

setToolTipDateFormat(monthFormat, dayFormat, hourFormat)

Description

Sets the date/time formats to use for the tool tips under various cases.
See Parameter Substitution and Formatting on the syntax of ChartDirector format strings.

Arguments

Argument | Default | Description
--- | --- | ---
monthFormat | (Mandatory) | The tool tip format to use if the data point spacing is one or more months (more than 30 days). The default is "[{xLabel|mmm yyyy}]".
dayFormat | (Mandatory) | The tool tip format to use if the data point spacing is 1 day to less than 30 days. The default is "[{xLabel|mmm d, yyyy}]".
hourFormat | (Mandatory) | The tool tip format to use if the data point spacing is less than 1 day. The default is "[{xLabel|mmm d, yyyy hh:nn:ss}]".

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.